--- !ruby/object:RI::ClassDescription 
attributes: 
- !ruby/object:RI::Attribute 
  comment: 
  name: adapter
  rw: RW
- !ruby/object:RI::Attribute 
  comment: 
  name: opts
  rw: RW
- !ruby/object:RI::Attribute 
  comment: 
  name: statements
  rw: RW
- !ruby/object:RI::Attribute 
  comment: 
  name: table_name
  rw: RW
class_methods: 
- !ruby/object:RI::MethodSummary 
  name: new
comment: 
constants: []

full_name: SQL::TableModifier
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: add_column
- !ruby/object:RI::MethodSummary 
  name: change_column
- !ruby/object:RI::MethodSummary 
  name: drop_column
- !ruby/object:RI::MethodSummary 
  name: drop_columns
- !ruby/object:RI::MethodSummary 
  name: quote_column_name
- !ruby/object:RI::MethodSummary 
  name: quoted_table_name
- !ruby/object:RI::MethodSummary 
  name: rename_column
name: TableModifier
superclass: Object
